// Copyright 2021 KoroLion (https://github.com/KoroLion)

extern "C" {
  void lm35_init(uint8_t port);
  uint8_t lm35_read();

  void led_init();
  void led_enable();
  void led_disable();
}

void setup() {
  Serial.begin(9600);
  
  lm35_init(A3);
  led_init();
}

void loop() {
  uint8_t t = lm35_read();
  if (t >= 30) {
    led_enable();
  } else {
    led_disable();
  }

  Serial.println(t);
}
